# NAnt Home Page

NAnt is a free .NET build tool. In theory it is kind of like make without make's wrinkles. In practice it's a lot like Ant.

Expand all Collapse all
Documentation
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
Frequently Asked Questions
External Tools and Extensions
Links
Release Notes
XML Schema
Wiki
Contributing
Mailing Lists
Issues
GIT
Releases
0.92
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.92 Release Candidate 1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.92 Beta1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.92 Alpha1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.91
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.91 Release Candidate 1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.91 Beta1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.91 Alpha2
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.91 Alpha1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.90
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.90 Release Candidate 1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.90 Beta 1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.90 Alpha 1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.86 Beta 1
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
0.85
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
Archive
Nightly Builds
Latest
Download
Binary
Zip
Gzipped Tar
Source
Zip
Gzipped Tar
User Manual
Reference
Tasks
Types
Functions
Filters
Introduction
Fundamentals
License
Release Notes
XML Schema
GIT
Project
Authors
License
Release Plan
Blog
Github.com
SourceForge Foundry
Expand all Collapse all

## News

#### NAnt 0.92 Release June 9, 2012

The release for NAnt 0.92 is available NOW!

This release focuses on extending our already strong support for multiple target frameworks, bringing improved flexibility and performance. A number of outstanding issues have been fixed as well.

A complete list of changes and new features is available here.

As of this release, our framework support chart looks like this:

Framework | Target | Runtime
--- | --- | ---
.NET Framework 1.0 |  |
.NET Framework 1.1 |  |
.NET Framework 2.0 |  |
.NET Framework 3.5 |  |
.NET Framework 4.0 |  |
.NET Compact Framework 1.0 |  |
.NET Compact Framework 2.0 |  |
Mono 1.0 Profile |  |
Mono 2.0 Profile |  |
Mono 3.5 Profile |  |
Mono 4.0 Profile |  |
Monolight 2.0 |  |
Shared Source CLI 1.0 |  |
Silverlight 2.0 |  |
Silverlight 3.0 |  |
Silverlight 4.0 |  |
Silverlight 5.0 |  |

## Tips

For contribution and distribution of non-core tasks, visit the NAntContrib web site.